> For the complete documentation index, see [llms.txt](https://docs.swingsoftware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.swingsoftware.com/seascape-for-notes/troubleshooting/error-messages/error-exceptionconverter-java.security.nosuchalgorithmexception.md).

# ExceptionConverter: java.security.NoSuchAlgorithmException

## **Description**

When converting a document, the conversion fails and this error appears in the SWING Seascape dialog or in the Java Debug Console:

```java
AGENT ERROR: ExceptionConverter: java.security.NoSuchAlgorithmException: class com.ibm.crypto.provider.MD5 configured for MessageDigest(provider: IBMJCE version 1.2) cannot be accessed.
class "com.ibm.crypto.provider.MD5"'s signer information does not match signer information of other classes in the same package 
        at java.security.Security.createAlgInstance(Security.java:1338) 
        at java.security.Security.createAlgInstance(Security.java:1232) 
        at java.security.Security.getImpl(Security.java:1123) 
        at java.security.MessageDigest.getInstance(MessageDigest.java:135) 
```

## **Solution**

This problem happens if there is a leftover JAR file named **ibmjcaprovider.jar** in your Notes Java virtual machine folder. It is usually left when upgrading to a higher version of Notes where this JAR has been replaced by a new JAR named **ibmjceprovider.jar**.

To resolve this, all you need to do is to delete the **ibmjcaprovider.jar** file (usually in the **Lotus\Domino\ibm-jre\jre\lib\ext\ibmjcaprovider.jar** folder).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.swingsoftware.com/seascape-for-notes/troubleshooting/error-messages/error-exceptionconverter-java.security.nosuchalgorithmexception.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
